Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010356Dwarf FortressDwarf Mode -- Artifactspublic2017-11-25 03:312018-02-07 15:11
Reporterthvaz 
Assigned ToToady One 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformpcOSwindows OS Versionwindows 10
Product Version0.44.02 
Target VersionFixed in VersionNext Version 
Summary0010356: Animals reveal presence of artifacts to outsiders
Description"The Horse Child has revealed the presence of Furyhatred: The Definitive Guide to the Human Bowman Ulet Wuspinethlal."

They were both at the tavern at the time. The artifact in question is in possession of another visitor.
Steps To ReproduceWait time enough on a tavern full of visitors and animals.
Additional InformationVanilla game, no editing of raws at all.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0010439resolvedLoci Animals can reveal locations of artifacts 
has duplicate 0010475resolvedLoci Stray animals reveal artifact locations to visitors 
related to 0010366resolvedToady One Dwarves have sentient relationships with other migrant pets 

-  Notes
(0037054)
FantasticDorf (reporter)
2017-11-27 08:21

From the public domain of DF Reddit a 'duck child' (not a duckling?) gave away the location of a book (which the user validates with further pictures of the event & the book) in the users own words, AFTER designating the duck to be slaughtered the duck gains a dwarven name individually & continues to disclose secrets until the slaughtering is complete & it is destroyed.

Image gallery of the player's evidence in the link below

https://imgur.com/a/4b2pz [^]

The reddit topic with poster @Mastrcapn

https://www.reddit.com/r/dwarffortress/comments/7ft6hg/if_it_looks_like_a_duck_talks_like_a_duck/ [^]
(0037060)
Urlance Woolsbane (reporter)
2017-11-27 17:51

Someone also had this happen with a dog: https://www.reddit.com/r/dwarffortress/comments/7fcvl5/bad_dog_i_should_never_have_taught_him_speak/ [^]
(0037062)
Musaab (reporter)
2017-11-28 02:20

My dog did it as well. Dog Child revealed the location of an artifact possessed by another visitor to a Human.
(0037066)
Detros (manager)
2017-11-28 10:56

Are all those traitors animal children?

Could it be that animals can somehow have "child" version and such children then like to babble about artifacts... ?
(0037079)
thvaz (reporter)
2017-11-28 14:34

It doesn't seem so, the second link example is an adult dog.

- Issue History
Date Modified Username Field Change
2017-11-25 03:31 thvaz New Issue
2017-11-25 04:02 FantasticDorf Note Added: 0036982
2017-11-25 04:02 FantasticDorf Note Edited: 0036982 View Revisions
2017-11-27 08:09 FantasticDorf Note Deleted: 0036982
2017-11-27 08:21 FantasticDorf Note Added: 0037054
2017-11-27 17:51 Urlance Woolsbane Note Added: 0037060
2017-11-28 02:20 Musaab Note Added: 0037062
2017-11-28 10:56 Detros Note Added: 0037066
2017-11-28 10:56 Detros Assigned To => Detros
2017-11-28 10:56 Detros Status new => acknowledged
2017-11-28 10:56 Detros Relationship added related to 0010366
2017-11-28 14:34 thvaz Note Added: 0037079
2017-12-10 06:49 Loci Relationship added has duplicate 0010439
2017-12-16 09:28 Huntthetroll Issue Monitored: Huntthetroll
2017-12-27 09:10 Loci Relationship added has duplicate 0010475
2017-12-27 09:10 Loci Issue Monitored: GiantOlm
2018-02-07 15:11 Toady One Status acknowledged => resolved
2018-02-07 15:11 Toady One Fixed in Version => Next Version
2018-02-07 15:11 Toady One Resolution open => fixed
2018-02-07 15:11 Toady One Assigned To Detros => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker